| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::narrowing_error Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::narrowing_error:

## Detailed Description

Raised when a value is inappropriate because it can't be narrowed as required.

Mostly raised by uhd::narrow()

## Public Member Functions
| narrowing_error (const std::string &what)
unsigned | code (void) const override
narrowing_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::value_error
| value_error (const std::string &what)
unsigned | code (void) const override
value_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Constructor & Destructor Documentation

## ◆ narrowing_error()

uhd::narrowing_error::narrowing_error | ( | const std::string & | what | ) |

## Member Function Documentation

## ◆ code()

unsigned uhd::narrowing_error::code | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_clone()

narrowing_error * uhd::narrowing_error::dynamic_clone | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_throw()

void uhd::narrowing_error::dynamic_throw | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- exception.hpp